---
metadata:
  - name: generator
    content: Diplodoc Platform v5.70.2
alternate:
  - https://sourcecraft.dev/portal/docs/en/api-ref/Invites-or-MultiLinks/RemoveMultiLinkInvitees.md
  - https://sourcecraft.dev/portal/docs/ru/api-ref/Invites-or-MultiLinks/RemoveMultiLinkInvitees.md
  - https://sourcecraft.dev/portal/docs/ru/api-ref/Invites-or-MultiLinks/RemoveMultiLinkInvitees.md
  - href: https://sourcecraft.dev/portal/docs/ru/api-ref/Invites-or-MultiLinks/RemoveMultiLinkInvitees.md
    type: text/markdown
    title: Markdown version
  - href: https://sourcecraft.dev/portal/docs/ru/llms.txt?revision=r22161526
    rel: describedby
---
> **Documentation Index:** Fetch the complete configuration index at https://sourcecraft.dev/portal/docs/ru/llms.txt?revision=r22161526

<div class="openapi">

# Remove Multi-Link Invitees

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.sourcecraft.tech/orgs/{org_slug}/invite-multilinks/{link_slug}/invitees/remove
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_link_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_org_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "invitees": [
    {
      "email": "example",
      "user_id": "example"
    }
  ]
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_invitees_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [MultiLinkInvitee](#entity-MultiLinkInvitee)[]

Invitees to remove from the allow-list. Entries not present are ignored.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "email": "example",
    "user_id": "example"
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### MultiLinkInvitee {#entity-MultiLinkInvitee}

MultiLinkInvitee identifies a user allowed to accept a restricted multi-link.
Exactly one of the fields must be specified.

#|
|| **Name** | **Description** ||
||

_email_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_user_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "email": "example",
  "user_id": "example"
}
```

{% endcut %}

</div>

## Responses

<div class="openapi__response__code__204">

## 204 No Content

A successful response.

</div>

<div class="openapi__response__code__default">

## default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_details_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: unknown

_Example:_{.json-schema-reset .json-schema-example} `null`
{.table-cell}
||
||

_error_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_request_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.